EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Rafts_GetRaftItemVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RaftItemVersions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified database raft item version history.'
GO

IF OBJECT_ID('[Rafts_GetRaftItemVersions]') IS NOT NULL DROP PROCEDURE [Rafts_GetRaftItemVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Rafts_GetRaftItemVersions]
(
	@RaftItem_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT RIV.*
	  FROM [RaftItemVersions] RIV
     INNER JOIN [RaftItems] RI
             ON RI.[RaftItem_Id] = RIV.[RaftItem_Id]
     WHERE RIV.[RaftItem_Id] = @RaftItem_Id
       AND RI.[Active_Indicator] = 'Y'
     ORDER BY RIV.[RaftItemVersion_Number] DESC

END
GO

GRANT EXECUTE ON [Rafts_GetRaftItemVersions] TO [OtterUser_Role]