EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_GetRole',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Roles,RoleTasks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified role, along with all the tasks that comprise the role.'
GO

IF OBJECT_ID('[Security_GetRole]') IS NOT NULL
	DROP PROCEDURE [Security_GetRole]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_GetRole]
(
	@Role_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Roles]
	 WHERE [Role_Id] = @Role_Id
	IF @@ROWCOUNT=0 RAISERROR('Role #%i does not exist.',16,1,@Role_Id)

	SELECT *
	  FROM [RoleTasks_Extended]
	 WHERE [Role_Id] = @Role_Id

END
GO

GRANT EXECUTE ON [Security_GetRole] TO [OtterUser_Role]
GO
