EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_SearchUsers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Users',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified user, or searchs for a user whose name starts with any of the specified criteria'
GO

IF OBJECT_ID('[Users_SearchUsers]') IS NOT NULL DROP PROCEDURE [Users_SearchUsers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Users_SearchUsers]
(
    @User_Name USERNAME,
    @Display_Name VARCHAR(100),
    @Email_Address VARCHAR(250),
    @PerformWildcardSearch_Indicator YNINDICATOR
)
 AS BEGIN

	SET NOCOUNT ON

    IF (@PerformWildcardSearch_Indicator = 'Y')
    BEGIN
    
        -- Add wildcards if specified and the arguments are not null
        IF (@User_Name IS NOT NULL)
            SET @User_Name = @User_Name + '%'
        IF (@Display_Name IS NOT NULL)
            SET @Display_Name = @Display_Name + '%'
        IF (@Email_Address IS NOT NULL)
            SET @Email_Address = @Email_Address + '%'
    
        SELECT *
	      FROM [Users]
	      WHERE [User_Name] LIKE @User_Name
	         OR [Display_Name] LIKE @Display_Name
	         OR [Email_Address] LIKE @Email_Address
    END
    ELSE
    BEGIN
        -- Perform an exact match
         SELECT *
	      FROM [Users]
	      WHERE [User_Name] = @User_Name
	        OR [Display_Name] = @Display_Name
	        OR [Email_Address] = @Email_Address
    END

	

END
GO

GRANT EXECUTE ON [Users_SearchUsers] TO [OtterUser_Role]
GO
